GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions | Variables
channel_stack.h File Reference
`#include <stddef.h>`
`#include <grpc/grpc.h>`
`#include <grpc/support/log.h>`
`#include "src/core/debug/trace.h"`
`#include "src/core/transport/transport.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_channel_filter
struct | grpc_channel_element
struct | grpc_call_element
struct | grpc_channel_stack
struct | grpc_call_stack

## Macros
#define | GRPC_CALL_LOG_OP(sev, elem, op) if (grpc_trace_channel) grpc_call_log_op(sev, elem, op)

## Typedefs
typedef struct grpc_channel_element | grpc_channel_element
typedef struct grpc_call_element | grpc_call_element

## Functions
grpc_channel_element * | grpc_channel_stack_element (grpc_channel_stack *stack, size_t i)
grpc_channel_element * | grpc_channel_stack_last_element (grpc_channel_stack *stack)
grpc_call_element * | grpc_call_stack_element (grpc_call_stack *stack, size_t i)
size_t | grpc_channel_stack_size (const grpc_channel_filter **filters, size_t filter_count)
void | grpc_channel_stack_init (const grpc_channel_filter **filters, size_t filter_count, grpc_channel *master, const grpc_channel_args *args, grpc_mdctx *metadata_context, grpc_channel_stack *stack)
void | grpc_channel_stack_destroy (grpc_channel_stack *stack)
void | grpc_call_stack_init (grpc_channel_stack *channel_stack, const void *transport_server_data, grpc_transport_stream_op *initial_op, grpc_call_stack *call_stack)
void | grpc_call_stack_destroy (grpc_call_stack *stack)
void | grpc_call_next_op (grpc_call_element *elem, grpc_transport_stream_op *op)
void | grpc_channel_next_op (grpc_channel_element *elem, grpc_transport_op *op)
char * | grpc_call_next_get_peer (grpc_call_element *elem)
grpc_channel_stack * | grpc_channel_stack_from_top_element (grpc_channel_element *elem)
grpc_call_stack * | grpc_call_stack_from_top_element (grpc_call_element *elem)
void | grpc_call_log_op (char *file, int line, gpr_log_severity severity, grpc_call_element *elem, grpc_transport_stream_op *op)
void | grpc_call_element_send_cancel (grpc_call_element *cur_elem)

## Variables
int | grpc_trace_channel

## Macro Definition Documentation

#define GRPC_CALL_LOG_OP | ( |  | sev,
|  |  | elem,
|  |  | op
| ) |  | if (grpc_trace_channel) grpc_call_log_op(sev, elem, op)

## Typedef Documentation

typedef struct grpc_call_element grpc_call_element

typedef struct grpc_channel_element grpc_channel_element

## Function Documentation

void grpc_call_element_send_cancel | ( | grpc_call_element * | cur_elem | ) |

void grpc_call_log_op | ( | char * | file,
|  | int | line,
|  | gpr_log_severity | severity,
|  | grpc_call_element * | elem,
|  | grpc_transport_stream_op * | op
| ) |  |

char* grpc_call_next_get_peer | ( | grpc_call_element * | elem | ) |

void grpc_call_next_op | ( | grpc_call_element * | elem,
|  | grpc_transport_stream_op * | op
| ) |  |

void grpc_call_stack_destroy | ( | grpc_call_stack * | stack | ) |

grpc_call_element* grpc_call_stack_element | ( | grpc_call_stack * | stack,
|  | size_t | i
| ) |  |

grpc_call_stack* grpc_call_stack_from_top_element | ( | grpc_call_element * | elem | ) |

void grpc_call_stack_init | ( | grpc_channel_stack * | channel_stack,
|  | const void * | transport_server_data,
|  | grpc_transport_stream_op * | initial_op,
|  | grpc_call_stack * | call_stack
| ) |  |

void grpc_channel_next_op | ( | grpc_channel_element * | elem,
|  | grpc_transport_op * | op
| ) |  |

void grpc_channel_stack_destroy | ( | grpc_channel_stack * | stack | ) |

grpc_channel_element* grpc_channel_stack_element | ( | grpc_channel_stack * | stack,
|  | size_t | i
| ) |  |

grpc_channel_stack* grpc_channel_stack_from_top_element | ( | grpc_channel_element * | elem | ) |

void grpc_channel_stack_init | ( | const grpc_channel_filter ** | filters,
|  | size_t | filter_count,
|  | grpc_channel * | master,
|  | const grpc_channel_args * | args,
|  | grpc_mdctx * | metadata_context,
|  | grpc_channel_stack * | stack
| ) |  |

grpc_channel_element* grpc_channel_stack_last_element | ( | grpc_channel_stack * | stack | ) |

size_t grpc_channel_stack_size | ( | const grpc_channel_filter ** | filters,
|  | size_t | filter_count
| ) |  |

## Variable Documentation

int grpc_trace_channel